import request from '@/utils/request'

// 获取追溯码
export function searchTraceNo(data) {
  return request({
    url:'/app-common/search-trace-no', 
    method: 'get',
    params: data,
  })
}

// 获取处方打印数据
export function advicePrint(data) {
  return request({
    url:'/app-common/advice-print', 
    method: 'get',
    params: data,
  })
}

// 获取全部科室列表
export function getOrgList(data) {
  return request({
    url:'/app-common/department-list', 
    method: 'get',
    params: data,
  })
}

// 获取全部病区列表
export function getWardList(data) {
  return request({
    url:'/app-common/ward-list', 
    method: 'get',
    params: data,
  })
}

// 获取全部供应商列表
export function getSupplierList(data) {
  return request({
    url:'/app-common/supplier', 
    method: 'get',
    params: data,
  })
}

import axios from 'axios';

const env = import.meta.env.MODE;
export function invokeYbPlugin(data) {

if(env == 'development'){
  return axios.create(
    {
      // axios中请求配置有baseURL选项，表示请求URL公共部分
      baseURL: '/ybplugin',//ybplugin
      // 超时
      timeout: 60000
    }
  ).post('/api/data/', data);

} else {
  return axios.create(
    {
      // axios中请求配置有baseURL选项，表示请求URL公共部分
      baseURL: '',
      // 超时
      timeout: 60000
    }
  ).post('http://localhost:5000/api/data/', data);
}
}
